Subject: Re: mmotm 2014-03-10-15-35 uploaded (virtio_balloon)

From: Josh Triplett <[email-masked]>
Date: Tue, 11 Mar 2014 14:40:14 -0700

On Tue, Mar 11, 2014 at 12:31:33PM -0700, Andrew Morton wrote:
> On Tue, 11 Mar 2014 12:20:46 -0700 Josh Triplett <[email-masked]> wrote:
> 
> > > > ERROR: "balloon_devinfo_alloc" [drivers/virtio/virtio_balloon.ko] undefined!
> > > > ERROR: "balloon_page_enqueue" [drivers/virtio/virtio_balloon.ko] undefined!
> > > > ERROR: "balloon_page_dequeue" [drivers/virtio/virtio_balloon.ko] undefined!
> > > > 
> > > > when loadable module
> > > > 
> > > > or
> > > > 
> > > > virtio_balloon.c:(.text+0x1fa26): undefined reference to `balloon_page_enqueue'
> > > > virtio_balloon.c:(.text+0x1fb87): undefined reference to `balloon_page_dequeue'
> > > > virtio_balloon.c:(.text+0x1fdf1): undefined reference to `balloon_devinfo_alloc'
> > > > 
> > > > when builtin.
> > > 
> > > OK, thanks, I'll drop
> > > http://ozlabs.org/~akpm/mmots/broken-out/mm-disable-mm-balloon_compactionc-completely-when-config_balloon_compaction.patch
> > 
> > Sorry about that; I missed that case in my testing.  It always seems
> > strange that the dependency goes that way around.
> > 
> > With virtio-balloon being the one and only user of this API, would it be
> > reasonable to just only compile in balloon_compaction.o when
> > CONFIG_VIRTIO_BALLOON?
> 
> Better to make VIRTIO_BALLOON depend on (or select) BALLOON_COMPACTION.

I'd love to do that, but as far as I can tell, VIRTIO_BALLOON has gone
out of its way to support !CONFIG_BALLOON_COMPACTION.

Could someone who works on VIRTIO_BALLOON provide some details here
about the distinction?

- Josh Triplett

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>